--
-- MobileFertilizerTank NEW SCRIPT FOR LS2010
--
-- @Original-author Manuel L. (1.LS-Modschmiede)
-- @author Hoschiander (www.mein-ls.de)
-- @author Elli (www.ls-uk.info)
-- @date 23/10/2010

MobileFertilizerTank = {};

function MobileFertilizerTank.prerequisitesPresent(specializations)
    return true
end;

function MobileFertilizerTank:load(xmlFile)
	self.trigger = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.trigger#index"));
	table.insert(g_currentMission, SprayerFillTrigger:new(self.trigger));

end;

function MobileFertilizerTank:delete()
end;

function MobileFertilizerTank:mouseEvent(posX, posY, isDown, isUp, button)
end;

function MobileFertilizerTank:keyEvent(unicode, sym, modifier, isDown)
end;

function MobileFertilizerTank:update(dt)
end;

function MobileFertilizerTank:draw()
end;
